> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Get data that users entered in PowerForm

GET https://demo.docusign.net/restapi/v2.1/accounts/{accountId}/powerforms/{powerFormId}/form_data

This method enables Powerform Administrators or the sender of a PowerForm to download the data that recipients have entered into a PowerForm.

You specify the format in which you want to retrieve the data in the `Accept` header. This header accepts the following values:

- `application/json`: JSON format
- `application/xml`: XML format
- `text/csv`: Comma-separated value (CSV) format

You can further specify the type of CSV format in the `data_layout` query parameter.

**Note:** Only PowerForm Administrators or the PowerForm Sender can download the data associated with a PowerForm.

Reference: https://developers.docusign.com/docs/esign-rest-api/reference/powerforms/powerformdata/list

## Authentication

- `Authorization` header (required) (prefixed with ` Bearer  `) — OAuth 2.0 access token (JWT or auth-code grant). Sent as `Authorization: Bearer <token>` on every request except `GET /v2.1` and `GET /service_information`, which are public discovery endpoints.

## Servers

- `https://demo.docusign.net/restapi` (Demo, default)
- `https://www.docusign.net/restapi` (Production)

## Request

### Path parameters

- `accountId` (string, required) — The external account number (int) or account ID Guid.
- `powerFormId` (string, required) — The ID of the PowerForm.

### Query parameters

- `data_layout` (string, optional) — The layout in which to return the PowerForm data. For each of the following layouts, set the `Accept` header to the corresponding value. Valid values are: - `Native` (Set `Accept` header to `application/json`) - `Csv_Classic` (Set `Accept` header to `application/csv`) - `Csv_One_Envelope_Per_Line` (Set `Accept` header to `text/csv`) - `Xml_Classic` (Set `Accept` header to `application/xml`)
- `from_date` (string, optional) — The start date for a date range in UTC DateTime format. **Note:** If this property is null, no date filtering is applied.
- `to_date` (string, optional) — The end date of a date range in UTC DateTime format. The default value is `UtcNow`.

## Response

### 200

Successful response.

- `envelopes` (list of powerFormFormDataEnvelope, optional)

## Errors

### 400 Bad Request Error

Error encountered.

- `errorCode` (string, optional) — The code associated with the error condition.
- `message` (string, optional) — A brief message describing the error condition.

## Types

### powerFormFormDataEnvelope

- `envelopeId` (string, optional) — The envelope ID of the envelope status that failed to post.
- `recipients` (list of powerFormFormDataRecipient, optional) — An array of recipient objects that provides details about the recipients of the envelope.

### powerFormFormDataRecipient

- `email` (string, optional)
- `formData` (list of nameValue, optional)
- `name` (string, optional) — The name of the recipient.
- `recipientId` (string, optional) — Unique for the recipient. It is used by the tab element to indicate which recipient is to sign the Document.

### nameValue

A name-value pair that describes an item and provides a value for the item.

- `errorDetails` (errorDetails, optional) — This object describes errors that occur. It is only valid for responses, and ignored in requests.
- `name` (string, optional) — The name of the item.
- `originalValue` (string, optional) — The initial value of the item.
- `value` (string, optional) — The current value of the item.

### errorDetails

This object describes errors that occur. It is only valid for responses, and ignored in requests.

- `errorCode` (string, optional) — The code associated with the error condition.
- `message` (string, optional) — A brief message describing the error condition.

## Examples

**Response**

```json
{
  "envelopes": [
    {
      "envelopeId": "sample string 1",
      "recipients": [
        {
          "email": "sample string 1",
          "formData": [
            {
              "name": "sample string 1",
              "originalValue": "sample string 2",
              "value": "sample string 3"
            }
          ],
          "name": "sample string 2",
          "recipientId": "sample string 3"
        }
      ]
    }
  ]
}
```